
%global meadversion 1.3.9
%global namedversion 1.3.9.SP3-redhat-00001
%global meadalpha .SP3_redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jberet}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.3.9.SP3-redhat-00001

Name:           %{?scl_prefix}jberet
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jberet
Group:          Development/Java

%if %with mead
Source100: jberet-parent-1.3.9.SP3-redhat-00001-project-sources.tar.gz
%endif

License:        EPL-1.0
URL:            https://github.com/jberet/jsr352.git
Requires:       %{?scl_prefix}jberet-core = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Impl of JSR 352: Batch Applications for the Java Platform.

%package -n %{?scl_prefix}jberet-core
Summary:        jberet-core
Group:          Development/Java


%description -n %{?scl_prefix}jberet-core
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jberet
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jberet-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jberet-core-%{namedversion}.jar %{buildroot}%{_javadir}/jberet-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jberet-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jberet-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jberet-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jberet-core-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jberet-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jberet-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jberet-core-%{namedversion} -x META-INF/\*
%{__ln_s} jberet-core-%{namedversion} %{buildroot}%{_javadocdir}/jberet-core
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jberet-core
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/jberet-core-%{namedversion}.jar
%{_javadir}/jberet-core.jar
%if %with javadoc
%{_javadir}/jberet-core-%{namedversion}-javadoc.jar
%{_javadir}/jberet-core-javadoc.jar
%endif
%{_javadir}/jberet-core-%{namedversion}-sources.jar
%{_javadir}/jberet-core-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jberet-core-%{namedversion}
%{_javadocdir}/jberet-core
%endif

%changelog
* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 1.3.9-3.SP3_redhat_00001.1
- Built by CPaaS

* Wed Jun 08 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.3.9-2.SP2_redhat_00001.1
Built by CPaaS



* Fri Apr 29 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.3.9-1.SP1_redhat_00001.1
Built by CPaaS



* Mon Aug 03 2020 Yong Yang <yyang@redhat.com> - 1.3.7-1.Final_redhat_00001.1
- RPM wrapper build 1.3.7.Final-redhat-00001

* Wed May 27 2020 Yong Yang <yyang@redhat.com> - 1.3.6-1.Final_redhat_00001.1
- RPM wrapper build 1.3.6.Final-redhat-00001

* Tue May 26 2020 Yong Yang <yyang@redhat.com> - 1.3.6-1.Final_redhat_00001.1
- RPM wrapper build 1.3.6.Final-redhat-00001

* Fri Jul 05 2019 Yong Yang <yyang@redhat.com> - 1.3.4-1.Final_redhat_00001.1
- RPM wrapper build

* Fri Jun 21 2019 Yong Yang <yyang@redhat.com> - 1.3.3-2.Final_redhat_00001.1
- RPM wrapper build

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 1.3.3-1.Final_redhat_00001.1
- 1.3.3.Final_redhat_00001

* Mon Aug 13 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.3.1-1.Final_redhat_00001.2
- upgrade to 1.3.1.Final-redhat-00001

* Thu Jul 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.2.4-5.Final_redhat_1.1
- Fix License

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.2.4-4.Final_redhat_1.1
- Rewrap for 7.2.0

* Thu Nov 02 2017 Permaine Cheung <pcheung@redhat.com> - 1.2.4-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.2.4-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Jul 25 2017 Petr Sakar <psakar@redhat.com> - 1.2.4-1.Final_redhat_1.1
- upgrade to 1.2.4.Final-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 1.2.3-1.Final_redhat_1.1
- upgrade to 1.2.3.Final-redhat-1

* Mon Dec 19 2016 Petr Sakar <psakar@redhat.com> - 1.2.2-1.Final_redhat_1.1
- upgrade to 1.2.2.Final-redhat-1

* Wed Jul 27 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.2.1-1.Final_redhat_1.1
- Upgrade to 1.2.1.Final

* Wed Oct 14 2015 Neil Wallace <nwallace@redhat.com> - 1.2.0-3.Final_redhat_1.1
- Upgrade for 1.2.0.Final

* Wed Aug 05 2015 David Walluck <dwalluck@redhat.com> - 1.2.0-2.Alpha2_redhat_1.1
- and empty main

* Tue Aug 04 2015 David Walluck <dwalluck@redhat.com> - 1.2.0-1.Alpha2_redhat_1.1
- release

